Subject: bug#66890: 29.1; buffer-size should also accept the buffer's name as string argument

From: Stefan Kangas <[email-masked]>
Date: Sat, 4 Nov 2023 03:43:26 -0700

Stefan Monnier <[email-masked]> writes:

>>> Maybe we should just "de-emphasize" the fact that those functions also
>>> accept strings, and instead insist that you have to go through
>>> `get-buffer` (or `get-buffer-create`).  If that sounds vague and you
>>> don't know what that would mean concretely, well.. you're not alone :-)
>> Perhaps we could recommend against abusing it in `(elisp) Tips'.
>
> It's not as strong a "de-emphasize" as I was picturing, but yes,
> that counts.

Feel free to propose other things we could do.  I just proposed the
first one that came to mind.  :-)